﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI	
End Sub

Public Sub Initialize
			LogColor($"B4XMainPage::Initialize"$, Colors.Blue)	
'			IME.Initialize("")
End Sub

Private Sub B4XPage_Appear
			LogColor($"B4XMainPage::B4XPage_Appear"$, Colors.DarkGray)
			
			CallSubDelayed(Me, "Check_4Internet")		'  Added to see if Activity needs time to complete						
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
			LogColor($"B4XMainPage::B4XPage_Created"$, Colors.Cyan)			
	
			Root = Root1
			Root.LoadLayout("MainPage")
			
'			CallSubDelayed(Me, "Check_4Internet")		'  Added to see if Activity needs time to complete			
End Sub

Public  Sub B4XPage_CloseRequest As ResumableSub
			LogColor($"B4XMainPage::B4XPage_CloseRequest"$, Colors.Cyan)	
			
			Return True		
End Sub

Private Sub B4XPage_Disappear
			LogColor($"B4XMainPage::B4XPage_Disappear"$, Colors.LightGray)
End Sub

Private Sub B4XPage_Resize(Width As Int, Height As Int)
			LogColor($"B4XMainPage::B4XPage_Resize(Width=${Width}, Height=${Height})"$, Colors.Green)
End Sub

Public  Sub Check_4Internet
				
			StartReceiver(HttpUtils2Service)
			
			Do While HttpUtils2Service.TempFolder = ""
				Log("Waiting HttpUtils2Service") 
    			Sleep(100)
			Loop			
			
			Log("Hopefully Ready")
			
			Dim DownloadJob As HttpJob
				
			DownloadJob.Initialize("", Me)			
			
			LogColor($"DownloadJob Initialize"$, Colors.Red) 				
			
			DownloadJob.Download("https://www.google.com")	

			LogColor($"DownloadJob Requesting Download"$, Colors.Red) 				
	
			Try
				Wait For (DownloadJob) JobDone(DownloadJob As HttpJob)

				LogColor($"Job Success:${DownloadJob.Success}"$, Colors.Red) 
			Catch
				LogColor($"JobError:${LastException.Message}"$, Colors.Red)				
			End Try

			LogColor($"Job Release"$, Colors.Red) 

			DownloadJob.Release	
			
			ToastMessageShow("Everything is just Great", true)
End Sub